libzypp: zypp::target::RpmRemovePackageReceiver Class Reference

libzypp 17.38.14

zypp::target::RpmRemovePackageReceiver Class Reference

`#include <zypp/target/TargetCallbackReceiver.h>`

Inheritance diagram for zypp::target::RpmRemovePackageReceiver:

## Public Member Functions
| RpmRemovePackageReceiver (Resolvable::constPtr res)
| RpmRemovePackageReceiver.
virtual | ~RpmRemovePackageReceiver ()
void | reportbegin () override
void | reportend () override
void | report (const UserData &userData_r) override
| Start the operation.
void | start (const std::string &name) override
bool | progress (unsigned percent) override
| Inform about progress Return true on abort.
bool | aborted () const
| Returns true if removing is aborted during progress.
rpm::RpmRemoveReport::Action | problem (Exception &excpt_r) override
| inform user about a problem
void | finishInfo (const std::string &info_r) override
| Additional rpm output to be reported in finish in case of success.
void | finish () override
| Finish operation in case of success.
void | finish (Exception &excpt_r) override
| Finish operatin in case of fail, report fail exception.
Public Member Functions inherited from zypp::callback::ReceiveReport< rpm::RpmRemoveReport >
virtual | ~ReceiveReport ()
ReceiveReport * | whoIsConnected () const
bool | connected () const
void | connect ()
void | disconnect ()

## Private Attributes
callback::SendReport< rpm::RemoveResolvableReport > | _report
Resolvable::constPtr | _resolvable
bool | _abort
std::string | _finishInfo

## Additional Inherited Members
Public Types inherited from zypp::callback::ReceiveReport< rpm::RpmRemoveReport >
typedef rpm::RpmRemoveReport | ReportType
typedef ReceiveReport< rpm::RpmRemoveReport > | Receiver
typedef DistributeReport< rpm::RpmRemoveReport > | Distributor

## Detailed Description

Definition at line 72 of file TargetCallbackReceiver.h.

## Constructor & Destructor Documentation

## ◆ RpmRemovePackageReceiver()

zypp::target::RpmRemovePackageReceiver::RpmRemovePackageReceiver | ( | Resolvable::constPtr | res | ) |

RpmRemovePackageReceiver.

Definition at line 120 of file TargetCallbackReceiver.cc.

## ◆ ~RpmRemovePackageReceiver()

zypp::target::RpmRemovePackageReceiver::~RpmRemovePackageReceiver | ( |  | ) |
| virtual

Definition at line 127 of file TargetCallbackReceiver.cc.

## Member Function Documentation

## ◆ reportbegin()

void zypp::target::RpmRemovePackageReceiver::reportbegin | ( |  | ) |
| overridevirtual

Reimplemented from zypp::callback::ReceiveReport< rpm::RpmRemoveReport >.

Definition at line 131 of file TargetCallbackReceiver.cc.

## ◆ reportend()

void zypp::target::RpmRemovePackageReceiver::reportend | ( |  | ) |
| overridevirtual

Reimplemented from zypp::callback::ReceiveReport< rpm::RpmRemoveReport >.

Definition at line 135 of file TargetCallbackReceiver.cc.

## ◆ report()

void zypp::target::RpmRemovePackageReceiver::report | ( | const UserData & | userData_r | ) |
| override

Start the operation.

Forwards generic reports.

Definition at line 140 of file TargetCallbackReceiver.cc.

## ◆ start()

void zypp::target::RpmRemovePackageReceiver::start | ( | const std::string & | name | ) |
| override

Definition at line 147 of file TargetCallbackReceiver.cc.

## ◆ progress()

bool zypp::target::RpmRemovePackageReceiver::progress | ( | unsigned | percent | ) |
| override

Inform about progress Return true on abort.

Definition at line 157 of file TargetCallbackReceiver.cc.

## ◆ aborted()

bool zypp::target::RpmRemovePackageReceiver::aborted | ( |  | ) | const
| inline

Returns true if removing is aborted during progress.

Definition at line 104 of file TargetCallbackReceiver.h.

## ◆ problem()

rpm::RpmRemoveReport::Action zypp::target::RpmRemovePackageReceiver::problem | ( | Exception & | excpt_r | ) |
| override

inform user about a problem

Definition at line 164 of file TargetCallbackReceiver.cc.

## ◆ finishInfo()

void zypp::target::RpmRemovePackageReceiver::finishInfo | ( | const std::string & | info_r | ) |
| override

Additional rpm output to be reported in finish in case of success.

Definition at line 185 of file TargetCallbackReceiver.cc.

## ◆ finish() [1/2]

void zypp::target::RpmRemovePackageReceiver::finish | ( |  | ) |
| override

Finish operation in case of success.

Definition at line 191 of file TargetCallbackReceiver.cc.

## ◆ finish() [2/2]

void zypp::target::RpmRemovePackageReceiver::finish | ( | Exception & | excpt_r | ) |
| override

Finish operatin in case of fail, report fail exception.

Finish operation in case of success.

Definition at line 198 of file TargetCallbackReceiver.cc.

## Member Data Documentation

## ◆ _report

callback::SendReport<rpm::RemoveResolvableReport> zypp::target::RpmRemovePackageReceiver::_report
| private

Definition at line 75 of file TargetCallbackReceiver.h.

## ◆ _resolvable

Resolvable::constPtr zypp::target::RpmRemovePackageReceiver::_resolvable
| private

Definition at line 76 of file TargetCallbackReceiver.h.

## ◆ _abort

bool zypp::target::RpmRemovePackageReceiver::_abort
| private

Definition at line 77 of file TargetCallbackReceiver.h.

## ◆ _finishInfo

std::string zypp::target::RpmRemovePackageReceiver::_finishInfo
| private

Definition at line 78 of file TargetCallbackReceiver.h.

The documentation for this class was generated from the following files:

- zypp/target/TargetCallbackReceiver.h
- zypp/target/TargetCallbackReceiver.cc